Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing
Class ButtonGroup

Method Summary
`AbstractButton` | `getAt(int index)` Support the subscript operator for ButtonGroup.
`Iterator` | `iterator()` Returns an Iterator which traverses the ButtonGroup one AbstractButton at a time.
`ButtonGroup` | `leftShift(AbstractButton b)` Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.
`int` | `size()` Provide the standard Groovy `size()` method for `ButtonGroup`.

Method Detail

### getAt

    public AbstractButton getAt(int index)

  Support the subscript operator for ButtonGroup.

Parameters:
  `index` - the index of the AbstractButton to get.

Returns:
  the button at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the ButtonGroup one AbstractButton at a time.

Returns:
  an Iterator for a ButtonGroup

Since:
  1.6.4

### leftShift

    public ButtonGroup leftShift(AbstractButton b)

  Overloads the left shift operator to provide an easy way to add buttons to a ButtonGroup.

Parameters:
  `b` - an AbstractButton to be added to the buttonGroup..

Returns:
  same buttonGroup, after the value was added to it.

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `ButtonGroup`.

Returns:
  the button count of the buttonGroup

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK